﻿-- Author      : Alistair
-- Create Date : 8/6/2008 3:40:12 PM

-- Author      : Alistair
-- Create Date : 8/6/2008 3:30:56 PM


function  AuraUnitFrames_FocusDropDownOnLoad(self)
	UIDropDownMenu_Initialize(self, AuraUnitFramesDropDown_FocusInitialize, "MENU");
end

function AuraUnitFramesDropDown_FocusInitialize()

	local menu;
	local name;
	local id = nil;
	if ( UnitIsUnit("focus", "player") ) then
		menu = "SELF"
	elseif ( UnitIsUnit("focus", "pet") ) then
		menu = "PET"
	elseif ( UnitIsPlayer("focus") ) then
		id = UnitInRaid("focus")
		if ( id ) then
			menu = "RAID_PLAYER"
			name = GetRaidRosterInfo(id +1)
		elseif ( UnitInParty("focus") ) then
			menu = "PARTY"
		else
			menu = "PLAYER"
		end
	else
		menu = "RAID_TARGET_ICON"
		name = RAID_TARGET_ICON
	end
	if ( menu ) then
		UnitPopup_ShowMenu(AuraUnitFrames_FocusDropDownMenu, menu, "focus", name, id)
	end
end

