﻿-- Author      : Alistair
-- Create Date : 8/6/2008 3:30:56 PM


function  AuraUnitFrames_TargetDropDownOnLoad(self)
	UIDropDownMenu_Initialize(self, AuraUnitFramesDropDown_TargetInitialize, "MENU");
end

function AuraUnitFramesDropDown_TargetInitialize()

	local menu;
	local name;
	local id = nil;
	if ( UnitIsUnit("target", "player") ) then
		menu = "SELF";
	elseif ( UnitIsUnit("target", "pet") ) then
		menu = "PET";
	elseif ( UnitIsPlayer("target") ) then
		id = UnitInRaid("target");
		if ( id ) then
			menu = "RAID_PLAYER";
			name = GetRaidRosterInfo(id +1);
		elseif ( UnitInParty("target") ) then
			menu = "PARTY";
		else
			menu = "PLAYER";
		end
	else
		menu = "RAID_TARGET_ICON";
		name = RAID_TARGET_ICON;
	end
	if ( menu ) then
		UnitPopup_ShowMenu(AuraUnitFrames_TargetDropDownMenu, menu, "target", name, id);
	end
end

